# Annotation Type Desktop

@Retention(CLASS) @Target(TYPE) public @interface Desktop

Desktop build hints, checked by the compiler.

Place this on your application's main class -- the class named by `codename1.mainName`. An attribute you do not set is not written at all, so the builder's own default applies; the values shown here are that default, for reference.

Generated from com.codename1.build.shared.BuildHints by BuildHintCodeGenerator. Do not edit by hand -- edit the catalog and re-run scripts/gen-build-hint-annotations.sh.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `boolean`
  `adaptToRetina`
  Boolean true/false defaults to true.
  `boolean`
  `fullscreen`
  Starts the desktop build in full-screen mode.
  `int`
  `height`
  Height in pixels for the form in desktop builds, will be doubled for retina grade displays.
  `boolean`
  `interactiveScrollbars`
  Enables grab-able, click-to-page desktop scrollbars.
  `boolean`
  `resizable`
  Boolean true/false defaults to true.
  `DesktopTitleBar`
  `titleBar`
  How the desktop window is framed: native for the OS title bar and menu bar, custom for an undecorated window with a Codename One drawn title bar, or toolbar for the legacy in-app Toolbar.
  `int`
  `width`
  Width in pixels for the form in desktop builds, will be doubled for retina grade displays.

- ## Element Details

  - ### adaptToRetina

    boolean adaptToRetina
    Boolean true/false defaults to true. When set to true some values will ve implicitly doubled to deal with retina displays and icons etc. Will use higher DPI's
    Default:
      `true`

  - ### fullscreen

    boolean fullscreen
    Starts the desktop build in full-screen mode.
    Default:
      `false`

  - ### height

    int height
    Height in pixels for the form in desktop builds, will be doubled for retina grade displays. Defaults to 600.
    Default:
      `600`

  - ### interactiveScrollbars

    boolean interactiveScrollbars
    Enables grab-able, click-to-page desktop scrollbars.
    Default:
      `true`

  - ### resizable

    boolean resizable
    Boolean true/false defaults to true. Indicates whether the UI in the desktop build is resizable
    Default:
      `true`

  - ### titleBar

    DesktopTitleBar titleBar
    How the desktop window is framed: native for the OS title bar and menu bar, custom for an undecorated window with a Codename One drawn title bar, or toolbar for the legacy in-app Toolbar. An unrecognized value falls back to native with a warning.
    Default:
      `NATIVE`

  - ### width

    int width
    Width in pixels for the form in desktop builds, will be doubled for retina grade displays. Defaults to 800.
    Default:
      `800`